"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockShopifyCoreModule = exports.mockedShopifyCoreOptions = void 0;
const shopify_api_1 = require("@shopify/shopify-api");
const scopes_1 = require("@shopify/shopify-api/lib/auth/scopes");
const core_module_1 = require("../../src/core.module");
const mock_logger_1 = require("./mock-logger");
const mock_session_storage_1 = require("./mock-session-storage");
exports.mockedShopifyCoreOptions = {
    apiKey: 'foo',
    apiSecretKey: 'bar',
    apiVersion: shopify_api_1.ApiVersion.Unstable,
    scopes: new scopes_1.AuthScopes(['test_scope']),
    hostName: 'localhost:3001',
    hostScheme: 'http',
    isEmbeddedApp: true,
    isPrivateApp: false,
    sessionStorage: mock_session_storage_1.mockSessionStorage,
    logger: mock_logger_1.mockLogger,
};
exports.MockShopifyCoreModule = core_module_1.ShopifyCoreModule.forRoot(exports.mockedShopifyCoreOptions);
//# sourceMappingURL=mock-shopify-core-module.js.map